Bug 496614

Summary: system freezes instantly when playing a video
Product: [Fedora] Fedora Reporter: Michael Krauss <hippodriver>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 11CC: ajax, andrew, ghthor, gquigs+bugs, green, jounille, kk_konrad, legolegs, lex.lists, marco.guazzone, martin, mishu, ortutay, scottt.tw, stuart.jarvis, thomas, tomek, tuju, xgl-maint, zahour
Target Milestone: ---Keywords: Triaged
Target Release: ---Flags: mcepl: needinfo? (hippodriver)
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 08:06:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
log of the crashed X session
none
additional hardware info
none
The X11 config file none

Description Michael Krauss 2009-04-20 07:16:27 EDT
Created attachment 340316 [details]
log of the crashed X session

Description of problem:
Every time when I try to play a video the system freezes directly. I can still move the mouse pointer but that's it. The GUI doesn't react anymore. I can't switch to a console (Control-Alt-F[1-6]). No ssh login over the network.
the only solution is to perform a hardware reset.


Version-Release number of selected component (if applicable):
xorg-x11-drv-intel.x86_64                 2.7.0-1.fc11


How reproducible:
Start a video. It doesn't matter wich application you use (totem, mplayer, ...).
The problem is of permanent nature, so 100% reproducible.


Additional info:
The same problem occurred with the last 2.6.x version of the intel driver too.
But after downgrading to 2.6.0-14 the freezes are gone. 

I use this hardware:
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
Comment 1 Michael Krauss 2009-04-20 07:18:41 EDT
Created attachment 340318 [details]
additional hardware info
Comment 2 Michael Krauss 2009-04-20 07:21:52 EDT
Created attachment 340319 [details]
The X11 config file
Comment 3 Konrad Karl 2009-04-25 16:37:18 EDT
ditto here on current rawhide (xorg-x11-drv-intel-2.7.0-2.fc11.x86_64)
mplayer some_movie.avi is enough to freeze xorg totally. The sound of the
movie continues for a few fractions of a second.
cpu usage is low afterwards.

in my case ssh still works so i can reboot.

DontZap also does not work in this situation (enabled in xorg.conf and .Xmodmap)
and the same is true for console switch.

00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)

will try to downgrade X

Konrad
Comment 4 Konrad Karl 2009-04-25 16:48:57 EDT
downgrading to 2.6.0-14 helps here as well. thanks for the hint.
Konrad
Comment 5 Bryan Quigley 2009-04-27 00:21:44 EDT
I have the same bug, any possibility it is 64-bit specific? (Originally tried with maybe Fedora Beta 32-bit, than 2 or so weeks later installed off of a more recent 64-bit liveCD and it had the bug.)

My intel card 82945G/GZ only says (in the BIOS) that it has access to 8 megs, which might be more affected by a switch to 64 bit..
Comment 6 Bryan Quigley 2009-04-29 12:46:58 EDT
Just tested with Preview Release i686, it is not 64 bit specific.  

My video plays fine if the video size is small enough (Big Buck Bunny 480p ogg in totem), but resizing to a bigger size, maximizing, or fullscreen makes it freeze.
Comment 7 Konrad Karl 2009-05-11 04:52:51 EDT
hangs also with a very small (80x60) video.

Any solution in sight? The only option is the power switch if I am not on
a network to ssh in....
Comment 8 Konrad Karl 2009-05-13 06:53:41 EDT
using nomodeset which uses EXA acceleration instead of UXA 
as a workaround for the time being...
Comment 9 lexual 2009-05-18 10:14:23 EDT
*** Bug 497677 has been marked as a duplicate of this bug. ***
Comment 10 lexual 2009-05-18 10:17:02 EDT
agpgart-intel 0000:00:00.0: Intel 965G Chipset

Same for me on above chipset!!
Comment 11 lexual 2009-05-18 10:25:37 EDT
confirming that adding "nomodeset" to grub kernel line, will work around this bug.
Comment 12 Juha Tuomala 2009-05-19 14:29:12 EDT
We at https://fedoraproject.org/wiki/HTPC are seeing this too. Two different systems in different sites. Messerting has reported that 'nomodeset' helps, but in my case that's not suitable workaround as I don't have xorg.conf and without modeset resolution is unacceptable. I'd rather see this solved.
Comment 13 cblaauw 2009-05-27 11:58:13 EDT
Same here, x86_64 and Intel graphics. Downgrade to 2.6.0-14 works
Comment 14 Juha Tuomala 2009-05-27 14:31:28 EDT
Confirmed, 2.6.0-14 from:
  http://koji.fedoraproject.org:80/koji/buildinfo?buildID=92934
works here too. Now i just need to find out where the audio goes.
Comment 15 cblaauw 2009-05-28 17:40:25 EDT
intel driver 2.7.0-7 from koji seems to fix this bug for me right now
Comment 16 Peter Gückel 2009-05-29 12:59:35 EDT
I installed intel driver 2.7.0-7 with today's downloads. On the basis of the previous favourable comment, I removed 'nomodeset' from the grub kernel boot line and played a video. It froze instantaneously. There has been no change to the symptoms of the problem.

Then, I rebooted and put 'nomodeset' back in and... Presto! It works fine.

This must have something to do with the f11 kernel-based modesetting feature.
Comment 17 Bug Zapper 2009-06-09 10:12:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Osipov Oleg 2009-06-10 18:06:29 EDT
I confirm this bug. Exactly same behavior.

00:02.0 VGA compatible controller: Intel Corporation 82G965 Integrated Graphics Controller (rev 02)

xorg-x11-drv-intel-2.7.0-7.fc11.i586
kernel-2.6.29.4-167.fc11.i586
Comment 19 lexual 2009-06-10 21:20:46 EDT
Intel 965G Chipset
I was getting this bug earlier.
I'm no longer experiencing this bug.



xorg-x11-drv-intel.x86_64                2.7.0-7.fc11
kernel.x86_64                          2.6.29.4-167.fc11
Comment 20 Thomas Vander Stichele 2009-06-16 16:04:23 EDT
Having the same bug, with some clarifications.

Information from me:

VGA card:
00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)

xorg driver package: xorg-x11-drv-intel-2.7.0-7.fc11

kernel: 2.6.29.4-167.fc11

The bug is triggered with:
 - mplayer -vo xv.
 - xine (some video) but only *after* going fullscreen


The bug is not triggered with:
 - totem (using GStreamer)
 - gst-launch videotestsrc ! ximagesink (neither normal, nor fullscreen)
 - gst-launch videotestsrc ! video/x-raw-yuv,width=1600,height=1080) ! xvimagesink

My network still works when I trigger the bug (just like for Konrad Karl)

X backtrace at the time of hang:

Thread 1 (Thread 0x7f5d853c17b0 (LWP 2597)):
#0  0x0000003ad70d66c7 in ioctl () from /lib64/libc.so.6
#1  0x00007f5d846fe113 in drmIoctl (fd=8, request=25688, arg=0x0)
    at xf86drm.c:187
#2  0x00007f5d846fe416 in drmCommandNone (fd=8, 
    drmCommandIndex=<value optimized out>) at xf86drm.c:2276
#3  0x00007f5d8427cb65 in I830BlockHandler (i=0, 
    blockData=<value optimized out>, pTimeout=0x7fff8d3ebc78, 
    pReadmask=0x7d0aa0) at i830_driver.c:2659
#4  0x000000000052c335 in AnimCurScreenBlockHandler (
    screenNum=<value optimized out>, blockData=<value optimized out>, 
    pTimeout=<value optimized out>, pReadmask=<value optimized out>)
    at animcur.c:222
#5  0x00000000004f82d6 in compBlockHandler (i=0, blockData=0x0, 
    pTimeout=0x7fff8d3ebc78, pReadmask=<value optimized out>) at compinit.c:158
#6  0x000000000044aed0 in BlockHandler (pTimeout=0x7fff8d3ebc78, 
    pReadmask=0x7d0aa0) at dixutils.c:384
#7  0x00000000004e64e1 in WaitForSomething (
    pClientsReady=<value optimized out>) at WaitFor.c:215
#8  0x0000000000446bf2 in Dispatch () at dispatch.c:367
#9  0x000000000042d0d5 in main (argc=<value optimized out>, 
    argv=0x7fff8d3ebea8, envp=<value optimized out>) at main.c:397

From that backtrace, it looks like anything that would try and block cursor animations might run into this.

Could people with the same card verify that the bug is not triggered with the commands I gave ? There are some reports here of totem hanging, but I would guess that would be totem with a xine backend ?
Comment 21 Oleg Drokin 2009-07-07 22:30:02 EDT
I am seeing the same problem here. It is only Mplayer that seems to be triggering it. I have tried vlc and gstreamer and they work just fine.
nomodeset passed to kernel fixes this issue and a couple of others, namely I no longer get these messages in kernel log:
Jul  7 20:48:21 media kernel: i2c-adapter i2c-0: unable to read EDID block.
Jul  7 20:48:21 media kernel: i915 0000:00:02.0: VGA-1: no EDID data

and these (which appear to spook kerneloops enough to force it to submit a bugreport):
[drm:i915_gem_object_unbind] *ERROR* Attempting to unbind pinned buffer
------------[ cut here ]------------
WARNING: at drivers/gpu/drm/i915/i915_gem_tiling.c:313 i915_gem_set_tiling+0x491/0x4ed [i915]() (Not tainted)
Hardware name: G43T-M
failed to unbind object for tiling switchModules linked in: sco bridge stp llc bnep l2cap bluetooth sunrpc ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath uinput snd_hda_codec_intelhdmi snd_hda_codec_realtek i2c_i801 snd_hda_intel iTCO_wdt iTCO_vendor_support snd_hda_codec pata_jmicron snd_hwdep atl1e snd_pcm snd_timer pcspkr snd soundcore snd_page_alloc serio_raw ata_generic pata_acpi i915 drm i2c_algo_bit i2c_core video output [last unloaded: microcode]
Pid: 2029, comm: Xorg Not tainted 2.6.29.5-191.fc11.x86_64 #1
Call Trace:
 [<ffffffff8104883f>] warn_slowpath+0xbc/0xf0
 [<ffffffff813a982a>] ? printk+0x41/0x47
 [<ffffffffa0063120>] i915_gem_set_tiling+0x491/0x4ed [i915]
 [<ffffffffa0062c8f>] ? i915_gem_set_tiling+0x0/0x4ed [i915]
 [<ffffffffa0023b7e>] drm_ioctl+0x20e/0x2c1 [drm]
 [<ffffffff810e0e20>] vfs_ioctl+0x6f/0x87
 [<ffffffff810e12bb>] do_vfs_ioctl+0x462/0x4a3
 [<ffffffff810e1352>] sys_ioctl+0x56/0x79
 [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
---[ end trace fb92a79fa7fd130b ]---
which appears to be one of the top oopses at the moment on kernelops.org
(I guess this is it: http://www.kerneloops.org/oops.php?number=217947)
It happens when xorg switches from 1024x768 mode it starts with in dm to
1920x1080 set in my session preferences.

Also (though could be attributed to the fact that I now have xorg.conf) I no longer see claims that I have 2 "unknown" displays, one VGA and one DVI from
"Display preferences" applet, where in fact I only have the DVI port connected and which is now correctly recognized as "sony tv".

My graphic card is
00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Elitegroup Computer Systems Device 2674
Comment 22 Marco Guazzone 2009-07-14 06:02:52 EDT
I have experienced a similar problem when running Blender 2.49a (installed from fedora repo)

I have tried both without and with "nomodeset" parameter. Each cases made my system frozen.

My graphics card is:
agpgart-intel 0000:00:00.0: Intel 965GM Chipset
agpgart-intel 0000:00:00.0: detected 7676K stolen memory
agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xe0000000
Comment 23 Marco Guazzone 2009-07-14 06:04:01 EDT
Here below is the trace *without* "nomodeset":

------------[ cut here ]------------
Jul 13 15:15:35 feedback kernel: kernel BUG at
drivers/gpu/drm/i915/i915_gem.c:2136!
Jul 13 15:15:35 feedback kernel: invalid opcode: 0000 [#1] SMP
Jul 13 15:15:35 feedback kernel: last sysfs file:
/sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0/charge_full
Jul 13 15:15:35 feedback kernel: CPU 1
Jul 13 15:15:35 feedback kernel: Modules linked in: fuse ipv6
cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm
uinput arc4 ecb snd_hda_codec_idt iwl3945 firewire_ohci snd_hda_intel
firewire_core snd_hda_codec snd_hwdep mac80211 snd_pcm yenta_socket
tg3 rsrc_nonstatic i2c_i801 snd_timer snd iTCO_wdt soundcore
iTCO_vendor_support snd_page_alloc wmi pcspkr crc_itu_t lib80211
cfg80211 dell_laptop joydev dcdbas i915 drm i2c_algo_bit i2c_core
video output [last unloaded: microcode]
Jul 13 15:15:35 feedback kernel: Pid: 2162, comm: blender Not tainted
2.6.29.5-191.fc11.x86_64 #1 Latitude D830
Jul 13 15:15:35 feedback kernel: RIP: 0010:[<ffffffffa005f3d2>]
[<ffffffffa005f3d2>] i915_gem_object_get_fence_reg+0x221/0x61e [i915]
Jul 13 15:15:35 feedback kernel: RSP: 0000:ffff88006c915be8  EFLAGS: 00010202
Jul 13 15:15:35 feedback kernel: RAX: 0000000000001524 RBX:
ffff88006f88d480 RCX: 0000000000000010
Jul 13 15:15:35 feedback kernel: RDX: 0000000000002a02 RSI:
0000000000001524 RDI: ffff88006f88d240
Jul 13 15:15:35 feedback kernel: RBP: ffff88006c915c28 R08:
0000000000000004 R09: ffff88007d5ae1f0
Jul 13 15:15:35 feedback kernel: R10: 0000000000000200 R11:
0000000000000040 R12: ffff88006f88d3c0
Jul 13 15:15:35 feedback kernel: R13: ffff88007d5ae000 R14:
ffff88006f88d600 R15: ffff88007d5ac000
Jul 13 15:15:35 feedback kernel: FS:  00007fb7540f1780(0000)
GS:ffff88007f001f00(0000) knlGS:0000000000000000
Jul 13 15:15:35 feedback kernel: CS:  0010 DS: 0000 ES: 0000 CR0:
0000000080050033
Jul 13 15:15:35 feedback kernel: CR2: 00007fb7540fc000 CR3:
000000006c813000 CR4: 00000000000026e0
Jul 13 15:15:35 feedback kernel: DR0: 0000000000000000 DR1:
0000000000000000 DR2: 0000000000000000
Jul 13 15:15:35 feedback kernel: DR3: 0000000000000000 DR6:
00000000ffff0ff0 DR7: 0000000000000400
Jul 13 15:15:35 feedback kernel: Process blender (pid: 2162,
threadinfo ffff88006c914000, task ffff88006a920000)
Jul 13 15:15:35 feedback kernel: Stack:
Jul 13 15:15:35 feedback kernel: ffff88006c915c38 ffff88007d5ae1f0
ffff88007d5ac020 ffff88006f88d600
Jul 13 15:15:35 feedback kernel: ffff88007d5ac020 ffff88006f88d480
ffff88006f9c2580 ffff88006c915ce8
Jul 13 15:15:35 feedback kernel: ffff88006c915c98 ffffffffa00610d3
ffff88006c915c68 00007fb7540fc000
Jul 13 15:15:35 feedback kernel: Call Trace:
Jul 13 15:15:35 feedback kernel: [<ffffffffa00610d3>]
i915_gem_fault+0xc1/0x136 [i915]
Jul 13 15:15:35 feedback kernel: [<ffffffff810b213f>] __do_fault+0x55/0x3d5
Jul 13 15:15:35 feedback kernel: [<ffffffff812429bb>] ?
agp_flush_chipset+0x1b/0x1d
Jul 13 15:15:35 feedback kernel: [<ffffffffa005d523>] ?
i915_gem_object_flush_cpu_write_domain+0x26/0x32 [i915]
Jul 13 15:15:35 feedback kernel: [<ffffffff810b4475>]
handle_mm_fault+0x349/0x7c5
Jul 13 15:15:35 feedback kernel: [<ffffffff813ae615>] do_page_fault+0x5b5/0x9e9
Jul 13 15:15:35 feedback kernel: [<ffffffff813ac01a>] ? unlock_kernel+0x2f/0x32
Jul 13 15:15:35 feedback kernel: [<ffffffff810e0e27>] ? vfs_ioctl+0x76/0x87
Jul 13 15:15:35 feedback kernel: [<ffffffff810e12bb>] ? do_vfs_ioctl+0x462/0x4a3
Jul 13 15:15:35 feedback kernel: [<ffffffff813abab5>] ?
trace_hardirqs_off_thunk+0x3a/0x6c
Jul 13 15:15:35 feedback kernel: [<ffffffff813ac175>] page_fault+0x25/0x30
Jul 13 15:15:35 feedback kernel: Code: ff e8 35 e9 ff ff 85 c0 0f 84
b3 fe ff ff e9 06 04 00 00 41 83 7c 24 20 00 75 10 48 8b 55 c8 48 8b
02 f7 40 70 be ff ff ff 74 04 <0f> 0b eb fe 49 8b bf 38 01 00 00 48 8b
70 38 48 85 ff 74 1a 48
Jul 13 15:15:35 feedback kernel: RIP  [<ffffffffa005f3d2>]
i915_gem_object_get_fence_reg+0x221/0x61e [i915]
Jul 13 15:15:35 feedback kernel: RSP <ffff88006c915be8>
Jul 13 15:15:35 feedback kernel: ---[ end trace 77c31c0b3328e17f ]---
Comment 24 Marco Guazzone 2009-07-14 06:04:41 EDT
and here is the trace *with* "nomodeset":

Jul 14 11:33:06 feedback kernel: ------------[ cut here ]------------
Jul 14 11:33:06 feedback kernel: kernel BUG at
drivers/gpu/drm/i915/i915_gem.c:2136!
Jul 14 11:33:06 feedback kernel: invalid opcode: 0000 [#1] SMP
Jul 14 11:33:06 feedback kernel: last sysfs file:
/sys/devices/system/cpu/cpu1/cpufreq/scaling_cur_freq
Jul 14 11:33:06 feedback kernel: CPU 1
Jul 14 11:33:06 feedback kernel: Modules linked in: fuse ipv6
cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm
uinput arc4 ecb snd_hda_codec_idt iwl3945 snd_hda_intel snd_hda_codec
mac80211 snd_hwdep snd_pcm firewire_ohci snd_timer yenta_socket
firewire_core tg3 rsrc_nonstatic i2c_i801 snd soundcore snd_page_alloc
iTCO_wdt lib80211 iTCO_vendor_support crc_itu_t cfg80211 pcspkr joydev
dell_laptop wmi dcdbas i915 drm i2c_algo_bit i2c_core video output
[last unloaded: microcode]
Jul 14 11:33:06 feedback kernel: Pid: 9149, comm: blender.bin Not
tainted 2.6.29.5-191.fc11.x86_64 #1 Latitude D830
Jul 14 11:33:06 feedback kernel: RIP: 0010:[<ffffffffa005f3d2>]
[<ffffffffa005f3d2>] i915_gem_object_get_fence_reg+0x221/0x61e [i915]
Jul 14 11:33:06 feedback kernel: RSP: 0000:ffff880065181be8  EFLAGS: 00010202
Jul 14 11:33:06 feedback kernel: RAX: 00000000000fc4f1 RBX:
ffff88006e934900 RCX: 0000000000000010
Jul 14 11:33:06 feedback kernel: RDX: 0000000000002a02 RSI:
00000000000fc4f1 RDI: ffff88006e8a7d80
Jul 14 11:33:06 feedback kernel: RBP: ffff880065181c28 R08:
0000000000000003 R09: ffff88007d5b41e8
Jul 14 11:33:06 feedback kernel: R10: 0000000000000200 R11:
0000000000000040 R12: ffff88006e8a7b40
Jul 14 11:33:06 feedback kernel: R13: ffff88007d5b4000 R14:
ffff88006f03d840 R15: ffff88007d5b3000
Jul 14 11:33:06 feedback kernel: FS:  00007f71d55df710(0000)
GS:ffff88007f001f00(0000) knlGS:0000000000000000
Jul 14 11:33:06 feedback kernel: CS:  0010 DS: 0000 ES: 0000 CR0:
0000000080050033
Jul 14 11:33:06 feedback kernel: CR2: 00007f71d553b000 CR3:
000000006f15d000 CR4: 00000000000026e0
Jul 14 11:33:06 feedback kernel: DR0: 0000000000000000 DR1:
0000000000000000 DR2: 0000000000000000
Jul 14 11:33:06 feedback kernel: DR3: 0000000000000000 DR6:
00000000ffff0ff0 DR7: 0000000000000400
Jul 14 11:33:06 feedback kernel: Process blender.bin (pid: 9149,
threadinfo ffff880065180000, task ffff88005580ae00)
Jul 14 11:33:06 feedback kernel: Stack:
Jul 14 11:33:06 feedback kernel: ffff880065181c38 ffff88007d5b41e8
ffff88007d5b3020 ffff88006f03d840
Jul 14 11:33:06 feedback kernel: ffff88007d5b3020 ffff88006e934900
ffff88004b850370 ffff880065181ce8
Jul 14 11:33:06 feedback kernel: ffff880065181c98 ffffffffa00610d3
ffff880065181c68 00007f71d553b000
Jul 14 11:33:06 feedback kernel: Call Trace:
Jul 14 11:33:06 feedback kernel: [<ffffffffa00610d3>]
i915_gem_fault+0xc1/0x136 [i915]
Jul 14 11:33:06 feedback kernel: [<ffffffff810b213f>] __do_fault+0x55/0x3d5
Jul 14 11:33:06 feedback kernel: [<ffffffff812429bb>] ?
agp_flush_chipset+0x1b/0x1d
Jul 14 11:33:06 feedback kernel: [<ffffffffa005d523>] ?
i915_gem_object_flush_cpu_write_domain+0x26/0x32 [i915]
Jul 14 11:33:06 feedback kernel: [<ffffffff810b4475>]
handle_mm_fault+0x349/0x7c5
Jul 14 11:33:06 feedback kernel: [<ffffffff813ae615>] do_page_fault+0x5b5/0x9e9
Jul 14 11:33:06 feedback kernel: [<ffffffff813ac01a>] ? unlock_kernel+0x2f/0x32
Jul 14 11:33:06 feedback kernel: [<ffffffff810e0e27>] ? vfs_ioctl+0x76/0x87
Jul 14 11:33:06 feedback kernel: [<ffffffff810e12bb>] ? do_vfs_ioctl+0x462/0x4a3
Jul 14 11:33:06 feedback kernel: [<ffffffff813abab5>] ?
trace_hardirqs_off_thunk+0x3a/0x6c
Jul 14 11:33:06 feedback kernel: [<ffffffff813ac175>] page_fault+0x25/0x30
Jul 14 11:33:06 feedback kernel: Code: ff e8 35 e9 ff ff 85 c0 0f 84
b3 fe ff ff e9 06 04 00 00 41 83 7c 24 20 00 75 10 48 8b 55 c8 48 8b
02 f7 40 70 be ff ff ff 74 04 <0f> 0b eb fe 49 8b bf 38 01 00 00 48 8b
70 38 48 85 ff 74 1a 48
Jul 14 11:33:06 feedback kernel: RIP  [<ffffffffa005f3d2>]
i915_gem_object_get_fence_reg+0x221/0x61e [i915]
Jul 14 11:33:06 feedback kernel: RSP <ffff880065181be8>
Jul 14 11:33:06 feedback kernel: ---[ end trace 3231cf4d512c550e ]---
Comment 25 Matěj Cepl 2009-07-24 03:09:22 EDT
Marco I am not persuaded you have same crash ... yours look more like bug 509974 to me.
Comment 26 Marco Guazzone 2009-07-24 03:59:12 EDT
Yes you're right!
Sorry for posting here!!! :(
Comment 27 Jouni Väliaho 2009-08-13 09:00:39 EDT
After upgrade f10 -> f11 I got the same bug.

00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
kernel-2.6.29.6-217.2.3.fc11.i586

I tried 
1) .drirc as suggested at https://bugzilla.redhat.com/show_bug.cgi?id=509519#c27 --> no success

2) downgrade mesa as suggested at 
https://bugzilla.redhat.com/show_bug.cgi?id=509519#c13 --> no success

3) downgrade xorg-x11-drv-intel.i586 0:2.7.0-7.fc11 to xorg-x11-drv-intel-2.6.0-14.fc11.i586 from http://koji.fedoraproject.org:80/koji/buildinfo?buildID=92934
 as suggested by Juha at https://bugzilla.redhat.com/show_bug.cgi?id=496614#c14 --> success!

At least xine and mplayer works again :)
Comment 28 zahour 2009-09-16 13:27:09 EDT
The same problem width 
00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Intel Corporation Device 5044
	Flags: bus master, fast devsel, latency 0, IRQ 29
	Memory at 50300000 (32-bit, non-prefetchable) [size=512K]
	I/O ports at 3160 [size=8]
	Memory at 40000000 (32-bit, prefetchable) [size=256M]
	Memory at 50200000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915

kernel 2.6.30.5-43.fc11.i586 #1 SMP Thu Aug 27 21:18:54 EDT 2009 i686 i686 i386 GNU/Linux

Driver xorg-x11-drv-intel-2.7.0-7.fc11.i586
Comment 29 Peter Gückel 2009-09-19 14:37:04 EDT
I upgraded to f12α a few weeks ago on both my computers. Also, yesterday, there was a new kernel, Mesa, x server and Intel graphics driver. Even with modesetting enabled, as is now the default, and using kde built-in compositing effects, there appears to be no sign of this bug anymore.
Comment 30 Csaba Ortutay 2009-10-23 07:34:14 EDT
I have the same problem. 
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)

xorg-x11-drv-intel.i586 - 2.7.0-7.fc11
kernel - 2.6.30.8-64.fc11

I can ssh in from other computer but I cannot do anything else than rebbot the computer. init 3 or killing mplayer or X does not work.
Comment 32 Matěj Cepl 2009-11-05 13:27:04 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 33 Konrad Karl 2009-11-23 15:01:41 EST
It still freezes here without nomodeset
00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64

Will try F12 soon.

Konrad
Comment 34 Konrad Karl 2009-11-23 15:05:44 EST
..commit submit too soon..

instant freeze by trying to play movie with mplayer

just an example:
.....
libavformat file format detected.
[lavf] Video stream found, -vid 0==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
Selected video codec: [ffflv] vfm: ffmpeg (FFmpeg Flash video)
==========================================================================
==========================================================================
Opening audio decoder: [mp3lib] MPEG layer-2, layer-3
AUDIO: 22050 Hz, 2 ch, s16le, 8.0 kbit/1.13% (ratio: 1000->88200)
Selected audio codec: [mp3] afm: mp3lib (mp3lib MPEG layer-2, layer-3)
==========================================================================
[pulse] working around probably broken pause functionality,
        see http://www.pulseaudio.org/ticket/440
AO: [pulse] 22050Hz 2ch s16le (2 bytes per sample)
Starting playback...
VDec: vo config request - 320 x 240 (preferred colorspace: Planar YV12)
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is undefined - no prescaling applied.
VO: [xv] 320x240 => 320x240 Planar YV12

[lavf] Audio stream found, -aid 1
VIDEO:  [FLV1]  320x240  0bpp  25.000 fps  236.2 kbps (28.8 kbyte/s)
Comment 35 Bug Zapper 2010-04-27 09:48:29 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 36 William Walthall 2010-06-16 14:05:26 EDT
I am experiencing this bug on Fedora 13 with xorg-x11-drv-intel 2.11.0
Comment 37 Bug Zapper 2010-06-28 08:06:52 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.